# Generated by sila2.code_generator; sila2.__version__: 0.9.2
# -----
# This class does not do anything useful at runtime. Its only purpose is to provide type annotations.
# Since sphinx does not support .pyi files (yet?), so this is a .py file.
# -----

from __future__ import annotations

from typing import TYPE_CHECKING

if TYPE_CHECKING:

    from typing import Iterable, Optional

    from phcontroller_types import SetPH_Responses
    from sila2.client import ClientMetadataInstance, ClientObservableCommandInstance, ClientObservableProperty


class PHControllerClient:
    """

    Controlling the pH in a reactor.

    """

    PHValue: ClientObservableProperty[float]
    """
    current pH Value
    """

    def SetPH(
        self, PH: float, *, metadata: Optional[Iterable[ClientMetadataInstance]] = None
    ) -> ClientObservableCommandInstance[SetPH_Responses]:
        """
        Setting the target pH
        """
        ...
